<style>
  #modal-people .modal-dialog {
    border: 3px solid #eb5;
    border-radius: 3px;
  }

  /*#modal-window {
    user-select: none;
  }*/
</style>

<div class="modal-header">
  <h5 class="modal-title" id="exampleModalLabel"><%= Person.model_name.human %></h5>
  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<% people = Person.all.order(:lastname).order(:firstname)
   url = @url_submit ? @url_submit : person_choose_valid_path
%>

<%= form_with url: url, method: :get do |form| %>
  <div class="modal-body">
    <% if @rca %>
      <%= hidden_field_tag 'rca', @rca.id %>
    <% end %>
    <%= hidden_field_tag 'c_name', c_name %>

    <div id="dialog_form_liste_noms" title="Choose people">
      <!-- Options de filtrage de la liste des contacts -->
      <div class="form-group row">
        <label id='filter-names' class='col-form-label col-sm-3'>Filter</label>
        <div class="col-sm-9"><%= text_field_tag "filter-txt-in", '', class: 'form-control' %></div>
      </div>
      <br/>
      <!-- Last name
      <%#= radio_button_tag 'filter-order', '1', false
      %>
      &nbsp;&nbsp;
      First name
      <%#= radio_button_tag 'filter-order', '2', false
      %>
      <br/><br/> -->

      <!-- Liste des contacts -->
      <div id='people-names-list'>
        <%= select 'list', 'person', people.collect {|elt| [ elt.name, elt.id ]}, { selected: 0 },
                   {class: 'form-control', multiple: false, size: 16 } %>
      </div>
      <br/>
    </div>
  </div>

  <div class="modal-footer">
    <div class="form-group">
      <%= form.submit 'OK', class: "btn btn-warning" %>
    </div>
  </div>
<% end %>

<script>
  $(function() {
    $('#modal-people').on('show.bs.modal', function() {
      $('#modal-window').css({ opacity: 0.5 });
    })
    $('#modal-people').on('hidden.bs.modal', function() {
      $('#modal-window').css({ opacity: 1.0 });
    })

    // Sélecteur JQuery equivalent a contains mais en version case insensitive
    jQuery.expr[':'].icontains = function(a, i, m) {
      return jQuery(a).text().toUpperCase()
          .indexOf(m[3].toUpperCase()) >= 0;
    };

    $('#filter-txt-in').on('keyup paste', function() {
      let txt = $(this).val();

      $('#list_person option:icontains('+ txt +')').show();
      $('#list_person option:not(:icontains('+ txt +'))').hide();
    });

    // function sort_names_list(a, b) {
    //   return ($(b).text()) < ($(a).text()) ? 1 : -1;
    // }

    // $('#filter-order_1').on('click', function() {
    //   $("#list_person option").sort(sort_names_list).appendTo('#list_person');
    // })
  });
</script>
